Bug 89558 - [WK2] Add support for Battery Status API
Summary: [WK2] Add support for Battery Status API
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit2 (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Chris Dumez
URL:
Keywords:
Depends on:
Blocks: 81338 90069
  Show dependency treegraph
 
Reported: 2012-06-20 03:19 PDT by Chris Dumez
Modified: 2012-07-03 16:34 PDT (History)
15 users (show)

See Also:


Attachments
Patch (66.85 KB, patch)
2012-06-20 05:59 PDT, Chris Dumez
webkit-ews: commit-queue-
Details | Formatted Diff | Diff
Patch (67.91 KB, patch)
2012-06-20 06:23 PDT, Chris Dumez
gns: commit-queue-
Details | Formatted Diff | Diff
Patch (57.92 KB, patch)
2012-06-20 08:39 PDT, Chris Dumez
no flags Details | Formatted Diff | Diff
Patch (58.00 KB, patch)
2012-06-20 09:34 PDT, Chris Dumez
no flags Details | Formatted Diff | Diff
Patch (57.93 KB, patch)
2012-06-20 22:57 PDT, Chris Dumez
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Dumez 2012-06-20 03:19:38 PDT
There is currently no support for the Battery Status API in WebKit 2, we need to bring support for it.
Comment 1 Chris Dumez 2012-06-20 05:59:41 PDT
Created attachment 148544 [details]
Patch

The ews-mac probably won't be happy because I haven't added the new files to the XCode project yet (I don't have a mac machine available at the moment).
The C APIs for WKBatteryManager and WKBatteryStatus are not included in this patch and will be provided separately to reduce patch size.
Comment 2 Early Warning System Bot 2012-06-20 06:11:14 PDT
Comment on attachment 148544 [details]
Patch

Attachment 148544 [details] did not pass qt-wk2-ews (qt):
Output: http://queues.webkit.org/results/13006178
Comment 3 Build Bot 2012-06-20 06:15:59 PDT
Comment on attachment 148544 [details]
Patch

Attachment 148544 [details] did not pass mac-ews (mac):
Output: http://queues.webkit.org/results/13002189
Comment 4 Chris Dumez 2012-06-20 06:23:54 PDT
Created attachment 148548 [details]
Patch

Attempt to fix Qt, GTK and Win build.
Comment 5 Gustavo Noronha (kov) 2012-06-20 06:35:05 PDT
Comment on attachment 148548 [details]
Patch

Attachment 148548 [details] did not pass gtk-ews (gtk):
Output: http://queues.webkit.org/results/12999184
Comment 6 Build Bot 2012-06-20 06:46:03 PDT
Comment on attachment 148548 [details]
Patch

Attachment 148548 [details] did not pass win-ews (win):
Output: http://queues.webkit.org/results/13002196
Comment 7 Early Warning System Bot 2012-06-20 06:48:43 PDT
Comment on attachment 148548 [details]
Patch

Attachment 148548 [details] did not pass qt-wk2-ews (qt):
Output: http://queues.webkit.org/results/12999191
Comment 8 Build Bot 2012-06-20 06:52:39 PDT
Comment on attachment 148548 [details]
Patch

Attachment 148548 [details] did not pass mac-ews (mac):
Output: http://queues.webkit.org/results/13003195
Comment 9 Chris Dumez 2012-06-20 08:39:01 PDT
Created attachment 148576 [details]
Patch
Comment 10 Chris Dumez 2012-06-20 09:34:57 PDT
Created attachment 148584 [details]
Patch
Comment 11 Gyuyoung Kim 2012-06-20 20:14:18 PDT
Comment on attachment 148584 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=148584&action=review

> Source/WebKit2/UIProcess/API/C/WKBatteryManager.h:29
> +#if ENABLE(BATTERY_STATUS)

As I mentioned in other bugs, I'm not sure if ENABLE(...) still can be used in WK header files. WK header files have not used ENABLE(...) except for ENABLE(INSPECTOR).
Comment 12 Chris Dumez 2012-06-20 22:57:46 PDT
Created attachment 148734 [details]
Patch

Take Gyuyoung's feedback into consideration.
Comment 13 Kenneth Rohde Christiansen 2012-06-24 19:33:33 PDT
Comment on attachment 148734 [details]
Patch

LGTM
Comment 14 Gyuyoung Kim 2012-06-25 17:49:12 PDT
Comment on attachment 148734 [details]
Patch

Looks fine too.
Comment 15 WebKit Review Bot 2012-07-03 12:15:25 PDT
Comment on attachment 148734 [details]
Patch

Rejecting attachment 148734 [details] from commit-queue.

Failed to run "['/mnt/git/webkit-commit-queue/Tools/Scripts/webkit-patch', '--status-host=queues.webkit.org', '-..." exit_code: 2

Last 500 characters of output:
t/git/webkit-commit-queue/Source/WebKit/chromium/v8 --revision 11978 --non-interactive --force --accept theirs-conflict --ignore-externals' in '/mnt/git/webkit-commit-queue/Source/WebKit/chromium'
47>At revision 11978.

________ running '/usr/bin/python tools/clang/scripts/update.py --mac-only' in '/mnt/git/webkit-commit-queue/Source/WebKit/chromium'

________ running '/usr/bin/python gyp_webkit' in '/mnt/git/webkit-commit-queue/Source/WebKit/chromium'
Updating webkit projects from gyp files...

Full output: http://queues.webkit.org/results/13126546
Comment 16 Chris Dumez 2012-07-03 12:21:18 PDT
Comment on attachment 148734 [details]
Patch

Error is "Could not resolve hostname `svn.webkit.org'". Seems unrelated so resetting cq flag.
Comment 17 WebKit Review Bot 2012-07-03 16:34:12 PDT
Comment on attachment 148734 [details]
Patch

Clearing flags on attachment: 148734

Committed r121808: <http://trac.webkit.org/changeset/121808>
Comment 18 WebKit Review Bot 2012-07-03 16:34:19 PDT
All reviewed patches have been landed.  Closing bug.